System.Design 1.0.5000.0 2.0.0.0 System.Object

provides a base class for data-binding handlers. A data-binding handler can be used within a designer to perform data-binding to enable a meaningful display of the control on the design surface. Typically a control's designer is responsible for this functionality. However, when a control is not live on the design surface, such as within the template of another control, it does not have a designer, and this functionality is provided by a data-binding handler if one has been specified with a in the code for the control.

To use a data-binding handler, the control which has the data-bound property or properties must have a specified within its code that indicates the type of data-binding handler to use.

For example, the control is associated with the class through a in the code for the class. Within a template for a , a control whose text property has been data bound displays the word "DataBound" on the label. Without the data-binding handler, the label would be invisible at design-time, as it does not have a designer to bind its data-bound properties while in a templated control at design-time.

To implement a data-binding handler, define a new class that derives from this class and implement the method to set the appropriate properties.

Provides a base class for a data-binding handler.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This method should be implemented in a derived class to provide functionality to a custom data-binding handler. The logic for the data binding should be implemented within this method, and can be specific to the type or types that the data-binding handler is to bind a property or properties on.

  Binds the specified control.

  The for the document. The to bind. 1.0.5000.0 2.0.0.0